using Grasshopper.Kernel;
using System;
using System.Collections.Generic;
using System.Drawing;

namespace Meow
{
    public class MeowComponent : GH_Component
    {
        public MeowComponent() : base("Meow", "Nickname", "Description", "Category", "Subcategory")
        {
        }
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
        }
        protected override void RegisterOutputParams(GH_OutputParamManager pManager)
        {
            pManager.AddGenericParameter("A", "A", "A", GH_ParamAccess.item);
            pManager.AddTextParameter("B", "B", "B", GH_ParamAccess.list);
        }
        protected override void SolveInstance(IGH_DataAccess da)
        {
            var recipients = new List<string>();
            foreach (var recipient in Params.Output[0].Recipients)
                recipients.Add(recipient.Attributes.Parent.DocObject.ToString());
            da.SetDataList(1, recipients);
        }
        protected override Bitmap Icon => null;
        public override Guid ComponentGuid => new Guid("EBA8E61A-E212-4103-8996-17581C4BD798");
    }
}